<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
        <item name="BRANCH:origin/datatable-style-webpacker" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </select>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="25db6852-301d-4e39-a6c4-4edbdee13f6c" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/views/data_files/new.html.erb" beforeDir="false" afterPath="$PROJECT_DIR$/app/views/data_files/new.html.erb" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="GeneratorOptions">
    <option name="VCS_SHOW_CONFIRMATION" value="true" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="main" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1tNfWs68Ujc4kYhUWfoXYn62sLf" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="TODO_SCOPE" value="All Places" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_package_manager_path" value="yarn" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/data_files" />
      <recent name="$PROJECT_DIR$/app/javascript/packs" />
      <recent name="$PROJECT_DIR$/app/javascript" />
    </key>
  </component>
  <component name="RunManager" selected="Rails.Development: file_data_to_table">
    <configuration name="Development: file_data_to_table" type="RailsRunConfigurationType" factoryName="Rails">
      <module name="file_data_to_table" />
      <predefined_log_file enabled="true" id="RUBY_RAILS_SERVER" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="RUBY_ARGS" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="WORK DIR" VALUE="$MODULE_DIR$" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="SHOULD_USE_SDK" VALUE="false" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="ALTERN_SDK_NAME" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="myPassParentEnvs" VALUE="true" />
      <EXTENSION ID="BundlerRunConfigurationExtension" bundleExecEnabled="false" />
      <EXTENSION ID="JRubyRunConfigurationExtension" NailgunExecEnabled="false" />
      <EXTENSION ID="RubyCoverageRunConfigurationExtension" track_test_folders="true" runner="rcov">
        <COVERAGE_PATTERN ENABLED="true">
          <PATTERN REGEXPS="/.rvm/" INCLUDED="false" />
        </COVERAGE_PATTERN>
      </EXTENSION>
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="SCRIPT_ARGS" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="PORT" VALUE="3000" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="IP" VALUE="0.0.0.0" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="DUMMY_APP" VALUE="test/dummy" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="RAILS_SERVER_TYPE" VALUE="Default" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="ENVIRONMENT_TYPE" VALUE="development" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="LAUNCH_JS" VALUE="false" />
      <method v="2" />
    </configuration>
    <configuration name="Production: file_data_to_table" type="RailsRunConfigurationType" factoryName="Rails">
      <module name="file_data_to_table" />
      <predefined_log_file enabled="true" id="RUBY_RAILS_SERVER" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="RUBY_ARGS" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="WORK DIR" VALUE="$MODULE_DIR$" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="SHOULD_USE_SDK" VALUE="false" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="ALTERN_SDK_NAME" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="myPassParentEnvs" VALUE="true" />
      <EXTENSION ID="BundlerRunConfigurationExtension" bundleExecEnabled="false" />
      <EXTENSION ID="JRubyRunConfigurationExtension" NailgunExecEnabled="false" />
      <EXTENSION ID="RubyCoverageRunConfigurationExtension" track_test_folders="true" runner="rcov">
        <COVERAGE_PATTERN ENABLED="true">
          <PATTERN REGEXPS="/.rvm/" INCLUDED="false" />
        </COVERAGE_PATTERN>
      </EXTENSION>
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="SCRIPT_ARGS" VALUE="" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="PORT" VALUE="3000" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="IP" VALUE="0.0.0.0" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="DUMMY_APP" VALUE="test/dummy" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="RAILS_SERVER_TYPE" VALUE="Default" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="ENVIRONMENT_TYPE" VALUE="production" />
      <RAILS_SERVER_CONFIG_SETTINGS_ID NAME="LAUNCH_JS" VALUE="false" />
      <method v="2" />
    </configuration>
    <configuration name="spec: file_data_to_table" type="RakeRunConfigurationType" factoryName="Rake">
      <module name="file_data_to_table" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RUBY_ARGS" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="WORK DIR" VALUE="$MODULE_DIR$" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="SHOULD_USE_SDK" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="ALTERN_SDK_NAME" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="myPassParentEnvs" VALUE="true" />
      <EXTENSION ID="BundlerRunConfigurationExtension" bundleExecEnabled="false" />
      <EXTENSION ID="JRubyRunConfigurationExtension" NailgunExecEnabled="false" />
      <EXTENSION ID="RubyCoverageRunConfigurationExtension" track_test_folders="true" runner="rcov">
        <COVERAGE_PATTERN ENABLED="true">
          <PATTERN REGEXPS="/.rvm/" INCLUDED="false" />
        </COVERAGE_PATTERN>
      </EXTENSION>
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_NAME" VALUE="spec" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_ARGS" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_ATTACHED_TEST_FRAMEWORKS" VALUE=":rspec " />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_TRACE" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_DRYRUN" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_PREREQS" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_TESTOPTS" VALUE="" />
      <method v="2" />
    </configuration>
    <configuration name="test: file_data_to_table" type="RakeRunConfigurationType" factoryName="Rake">
      <module name="file_data_to_table" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RUBY_ARGS" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="WORK DIR" VALUE="$MODULE_DIR$" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="SHOULD_USE_SDK" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="ALTERN_SDK_NAME" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="myPassParentEnvs" VALUE="true" />
      <envs>
        <env name="RAILS_ENV" value="test" />
      </envs>
      <EXTENSION ID="BundlerRunConfigurationExtension" bundleExecEnabled="false" />
      <EXTENSION ID="JRubyRunConfigurationExtension" NailgunExecEnabled="false" />
      <EXTENSION ID="RubyCoverageRunConfigurationExtension" track_test_folders="true" runner="rcov">
        <COVERAGE_PATTERN ENABLED="true">
          <PATTERN REGEXPS="/.rvm/" INCLUDED="false" />
        </COVERAGE_PATTERN>
      </EXTENSION>
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_NAME" VALUE="test" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_ARGS" VALUE="" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_ATTACHED_TEST_FRAMEWORKS" VALUE=":test_unit " />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_TRACE" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_DRYRUN" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_PREREQS" VALUE="false" />
      <RAKE_RUN_CONFIG_SETTINGS_ID NAME="RAKE_TASK_OPTION_TESTOPTS" VALUE="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SpringUtil" SPRING_PRE_LOADER_OPTION="true" RAKE_SPRING_PRE_LOADER_OPTION="true" RAILS_SPRING_PRE_LOADER_OPTION="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="25db6852-301d-4e39-a6c4-4edbdee13f6c" name="Default Changelist" comment="" />
      <created>1622614501110</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1622614501110</updated>
      <workItem from="1622614503179" duration="62000" />
      <workItem from="1622614567226" duration="16000" />
      <workItem from="1622614597557" duration="4524000" />
      <workItem from="1622626417173" duration="7366000" />
      <workItem from="1622683677047" duration="3694000" />
      <workItem from="1622724539919" duration="3684000" />
      <workItem from="1622777708793" duration="858000" />
      <workItem from="1622810292069" duration="5623000" />
      <workItem from="1623068096007" duration="1003000" />
      <workItem from="1623159796222" duration="5313000" />
      <workItem from="1623214334251" duration="2641000" />
      <workItem from="1623589280413" duration="3775000" />
      <workItem from="1623942025967" duration="599000" />
      <workItem from="1623999606875" duration="12822000" />
      <workItem from="1624055111474" duration="7146000" />
      <workItem from="1624364783220" duration="3740000" />
      <workItem from="1624446200932" duration="8833000" />
      <workItem from="1624533527565" duration="5072000" />
      <workItem from="1624582492555" duration="2705000" />
      <workItem from="1624880689068" duration="6311000" />
      <workItem from="1624974007804" duration="1805000" />
      <workItem from="1625140539624" duration="7568000" />
      <workItem from="1625195022776" duration="8316000" />
      <workItem from="1625228908266" duration="1684000" />
      <workItem from="1625279206313" duration="9317000" />
      <workItem from="1625301466649" duration="7713000" />
      <workItem from="1625314446289" duration="7774000" />
      <workItem from="1625377123095" duration="3292000" />
      <workItem from="1625403830077" duration="6147000" />
      <workItem from="1625463411843" duration="4218000" />
      <workItem from="1625524990396" duration="9106000" />
      <workItem from="1627449726919" duration="3017000" />
    </task>
    <task id="LOCAL-00001" summary="app created">
      <created>1622614868774</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1622614868774</updated>
    </task>
    <task id="LOCAL-00002" summary="rspec failes added. 1st rspec example RED">
      <created>1622619325548</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1622619325549</updated>
    </task>
    <task id="LOCAL-00003" summary="Model Location with :name validations OK. rspec examples green.">
      <created>1622646595965</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1622646595965</updated>
    </task>
    <task id="LOCAL-00004" summary="added models Affiliation and Person. rspec examples for both models. Aff all Green. Person doing model validations.">
      <created>1622730445477</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1622730445477</updated>
    </task>
    <task id="LOCAL-00005" summary="Add first,last name to People. added validations to name. rpesc example green">
      <created>1622816118430</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1622816118430</updated>
    </task>
    <task id="LOCAL-00006" summary="Relations between Person - Affiliation and Person - Location done. rspec examples all Green.&#10;No done location.people neither affiliation.people.">
      <created>1623216962274</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1623216962275</updated>
    </task>
    <task id="LOCAL-00007" summary="relations done: location.people and affiliation.people. rspec examples green.">
      <created>1623593018966</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1623593018966</updated>
    </task>
    <task id="LOCAL-00008" summary="request rspec examples green. &#10;added controller,views and routes.">
      <created>1624008438538</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1624008438538</updated>
    </task>
    <task id="LOCAL-00009" summary="added Model and Module for DataFile. Rspec data_file started with some examples, all green. todo: improve File type validation.">
      <created>1624069635641</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1624069635641</updated>
    </task>
    <task id="LOCAL-00010" summary="improved Type File validator. data_file_spec examples green. Refactor class to attribute_titlecase_validator. Todo: rspec examples for DataFilesModule methods. read file, export to db.">
      <created>1624368567956</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1624368567956</updated>
    </task>
    <task id="LOCAL-00011" summary="added file extension validation">
      <created>1624455526115</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1624455526115</updated>
    </task>
    <task id="LOCAL-00012" summary="added validator method in AttributeFileValidator for to validate file headers. Added rspec example green.">
      <created>1624540038882</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1624540038882</updated>
    </task>
    <task id="LOCAL-00013" summary="read and save Affiliations and Locations Done. rspec example green. Not complete. todo: create people records">
      <created>1625148623712</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1625148623712</updated>
    </task>
    <task id="LOCAL-00014" summary="refactored method &quot;name_to_title_case&quot; to &quot;string_attr_to_title_case&quot;. rspec OK. Added problem_description.md">
      <created>1625197638895</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1625197638895</updated>
    </task>
    <task id="LOCAL-00015" summary="added title case validation for Person(first_name,last_name) and Location(name). rspec OK.">
      <created>1625198071563</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1625198071563</updated>
    </task>
    <task id="LOCAL-00016" summary="persist_data method persist all data in DB. rspec example Green.&#10;pending: 2 TODO: in persist_data method.">
      <created>1625289674424</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1625289674425</updated>
    </task>
    <task id="LOCAL-00017" summary="All TODOs done. All rspec examples green">
      <created>1625308681015</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1625308681015</updated>
    </task>
    <task id="LOCAL-00018" summary="added rspec example which validates data persisted relations. Green. All logic Done and tested.">
      <created>1625310687046</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1625310687046</updated>
    </task>
    <task id="LOCAL-00019" summary="Upload file via GUI done. Show flash messages. Controller methods new,upload done. All rspec examples Green.">
      <created>1625322018162</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1625322018162</updated>
    </task>
    <task id="LOCAL-00020" summary="Problem fixed that allows to insert duplicate key in relations tables affiliations_people/locations_people. New Rspec example which validates quantity of relations done and GREEN.">
      <created>1625414548261</created>
      <option name="number" value="00020" />
      <option name="presentableId" value="LOCAL-00020" />
      <option name="project" value="LOCAL" />
      <updated>1625414548261</updated>
    </task>
    <task id="LOCAL-00021" summary="Revert &quot;Bootstrap 5 added&quot;&#10;&#10;This reverts commit 3201461e">
      <created>1625484791275</created>
      <option name="number" value="00021" />
      <option name="presentableId" value="LOCAL-00021" />
      <option name="project" value="LOCAL" />
      <updated>1625484791275</updated>
    </task>
    <task id="LOCAL-00022" summary="Added DataTable Style. Added PersonHelper to show values in the table.">
      <created>1625486869530</created>
      <option name="number" value="00022" />
      <option name="presentableId" value="LOCAL-00022" />
      <option name="project" value="LOCAL" />
      <updated>1625486869530</updated>
    </task>
    <task id="LOCAL-00023" summary="All messages to I18n variables. config/locales/en.yml">
      <created>1625497284227</created>
      <option name="number" value="00023" />
      <option name="presentableId" value="LOCAL-00023" />
      <option name="project" value="LOCAL" />
      <updated>1625497284227</updated>
    </task>
    <task id="LOCAL-00024" summary="added rspec feature example. status Green. No TODOs pending.">
      <created>1625504890005</created>
      <option name="number" value="00024" />
      <option name="presentableId" value="LOCAL-00024" />
      <option name="project" value="LOCAL" />
      <updated>1625504890005</updated>
    </task>
    <task id="LOCAL-00025" summary="added folder for data_files. updated examples for better -fdoc output">
      <created>1627307001026</created>
      <option name="number" value="00025" />
      <option name="presentableId" value="LOCAL-00025" />
      <option name="project" value="LOCAL" />
      <updated>1627307001026</updated>
    </task>
    <task id="LOCAL-00026" summary="added .gitlab-ci.yml only test/develop. Removed video_GUI. updated README.md">
      <created>1627309429031</created>
      <option name="number" value="00026" />
      <option name="presentableId" value="LOCAL-00026" />
      <option name="project" value="LOCAL" />
      <updated>1627309429032</updated>
    </task>
    <option name="localTasksCounter" value="27" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="origin/datatable-style-webpacker" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Model Location with :name validations OK. rspec examples green." />
    <MESSAGE value="added models Affiliation and Person. rspec examples for both models. Aff all Green. Person doing model validations." />
    <MESSAGE value="Add first,last name to People. added validations to name. rpesc example green" />
    <MESSAGE value="Relations between Person - Affiliation and Person - Location done. rspec examples all Green.&#10;No done location.people neither affiliation.people." />
    <MESSAGE value="relations done: location.people and affiliation.people. rspec examples green." />
    <MESSAGE value="request rspec examples green. &#10;added controller,views and routes." />
    <MESSAGE value="added Model and Module for DataFile. Rspec data_file started with some examples, all green. todo: improve File type validation." />
    <MESSAGE value="improved Type File validator. data_file_spec examples green. Refactor class to attribute_titlecase_validator. Todo: rspec examples for DataFilesModule methods. read file, export to db." />
    <MESSAGE value="added file extension validation" />
    <MESSAGE value="added validator method in AttributeFileValidator for to validate file headers. Added rspec example green." />
    <MESSAGE value="read and save Affiliations and Locations Done. rspec example green. Not complete. todo: create people records" />
    <MESSAGE value="refactored method &quot;name_to_title_case&quot; to &quot;string_attr_to_title_case&quot;. rspec OK. Added problem_description.md" />
    <MESSAGE value="added title case validation for Person(first_name,last_name) and Location(name). rspec OK." />
    <MESSAGE value="persist_data method persist all data in DB. rspec example Green.&#10;pending: 2 TODO: in persist_data method." />
    <MESSAGE value="All TODOs done. All rspec examples green" />
    <MESSAGE value="added rspec example which validates data persisted relations. Green. All logic Done and tested." />
    <MESSAGE value="Upload file via GUI done. Show flash messages. Controller methods new,upload done. All rspec examples Green." />
    <MESSAGE value="Problem fixed that allows to insert duplicate key in relations tables affiliations_people/locations_people. New Rspec example which validates quantity of relations done and GREEN." />
    <MESSAGE value="Revert &quot;Bootstrap 5 added&quot;&#10;&#10;This reverts commit 3201461e" />
    <MESSAGE value="Added DataTable Style. Added PersonHelper to show values in the table." />
    <MESSAGE value="All messages to I18n variables. config/locales/en.yml" />
    <MESSAGE value="added rspec feature example. status Green. No TODOs pending." />
    <MESSAGE value="added folder for data_files. updated examples for better -fdoc output" />
    <MESSAGE value="added .gitlab-ci.yml only test/develop. Removed video_GUI. updated README.md" />
    <MESSAGE value="datatable-dt style is now loaded with webpacker, before was Sprockets. removed datatable-dt from yarn. Tested with Production env. All rspec examples working." />
    <option name="LAST_COMMIT_MESSAGE" value="datatable-dt style is now loaded with webpacker, before was Sprockets. removed datatable-dt from yarn. Tested with Production env. All rspec examples working." />
  </component>
  <component name="WindowStateProjectService">
    <state x="-931" y="23" width="800" height="697" key="#Intentions" timestamp="1624023518092">
      <screen x="-1280" y="23" width="1280" height="697" />
    </state>
    <state x="-931" y="23" width="800" height="697" key="#Intentions/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1624023518092" />
    <state x="452" y="177" key="#JavaScript" timestamp="1627307563501">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="452" y="177" key="#JavaScript/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1627307563501" />
    <state x="464" y="270" key="#com.intellij.fileTypes.FileTypeChooser" timestamp="1625535850104">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="464" y="270" key="#com.intellij.fileTypes.FileTypeChooser/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1625535850104" />
    <state x="294" y="43" key="CommitChangelistDialog2" timestamp="1625484790926">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="294" y="43" key="CommitChangelistDialog2/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1625484790926" />
    <state x="100" y="122" width="1240" height="677" key="DiffContextDialog" timestamp="1625486707513">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="100" y="122" width="1240" height="677" key="DiffContextDialog/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1625486707513" />
    <state width="1398" height="231" key="GridCell.Tab.0.bottom" timestamp="1622684644954">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state width="1398" height="231" key="GridCell.Tab.0.bottom/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622684644954" />
    <state width="1398" height="231" key="GridCell.Tab.0.center" timestamp="1622684644953">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state width="1398" height="231" key="GridCell.Tab.0.center/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622684644953" />
    <state width="1398" height="231" key="GridCell.Tab.0.left" timestamp="1622684644952">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state width="1398" height="231" key="GridCell.Tab.0.left/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622684644952" />
    <state width="1398" height="231" key="GridCell.Tab.0.right" timestamp="1622684644954">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state width="1398" height="231" key="GridCell.Tab.0.right/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622684644954" />
    <state x="436" y="171" key="RollbackChangesDialog" timestamp="1627306886380">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="436" y="171" key="RollbackChangesDialog/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1627306886380" />
    <state x="241" y="182" key="Vcs.Push.Dialog.v2" timestamp="1627453207142">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="241" y="182" key="Vcs.Push.Dialog.v2/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1627453207142" />
    <state x="-714" y="139" width="588" height="486" key="find.popup" timestamp="1627303314910">
      <screen x="-1280" y="23" width="1280" height="697" />
    </state>
    <state x="-714" y="139" width="588" height="486" key="find.popup/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1627303314910" />
    <state x="408" y="257" key="git4idea.merge.GitPullDialog" timestamp="1622614961312">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="408" y="257" key="git4idea.merge.GitPullDialog/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622614961312" />
    <state x="542" y="362" width="535" height="196" key="git4idea.remote.GitConfigureRemotesDialog" timestamp="1622614643111">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="542" y="362" width="535" height="196" key="git4idea.remote.GitConfigureRemotesDialog/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622614643111" />
    <state x="520" y="327" key="scopes" timestamp="1622684518859">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="520" y="327" key="scopes/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1622684518859" />
    <state x="385" y="213" width="670" height="676" key="search.everywhere.popup" timestamp="1625495344735">
      <screen x="0" y="23" width="1440" height="877" />
    </state>
    <state x="385" y="213" width="670" height="676" key="search.everywhere.popup/0.23.1440.877/-1280.23.1280.697@0.23.1440.877" timestamp="1625495344735" />
  </component>
</project>